Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class FTPConfiguration

    java.lang.Object
      com.stc.connector.batchadapter.webservice.FTPConfiguration

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class FTPConfiguration

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

This class is the FTPConfiguration.

Constructor Summary
`FTPConfiguration()` Creates a new instance of FTPConfiguration

Method Summary
`boolean` | `getAppend()` Gets the Append.
`java.lang.String` | `getDirectoryListingStyle()` Gets the DirectoryListingStyle.
`java.lang.String` | `getHostName()` Gets the HostName.
`java.lang.String` | `getMode()` Gets the Mode.
`java.lang.String` | `getPassword()` Gets the Password.
`java.lang.String` | `getPasswordEncrypted()` Gets the PasswordEncrypted.
`java.lang.String` | `getPostDirectoryName()` Gets the PostDirectoryName.
`boolean` | `getPostDirectoryNameIsPattern()` Gets the PostDirectoryNameIsPattern.
`java.lang.String` | `getPostFileName()` Gets the PostFileName.
`boolean` | `getPostFileNameIsPattern()` Gets the PostFileNameIsPattern.
`java.lang.String` | `getPostTransferCommand()` Gets the PostTransferCommand.
`java.lang.String` | `getPreDirectoryName()` Gets the PreDirectoryName.
`boolean` | `getPreDirectoryNameIsPattern()` Gets the PreDirectoryNameIsPattern.
`java.lang.String` | `getPreFileName()` Gets the PreFileName.
`boolean` | `getPreFileNameIsPattern()` Gets the PreFileNameIsPattern.
`java.lang.String` | `getPreTransferCommand()` Gets the PreTransferCommand.
`int` | `getServerPort()` Gets the ServerPort.
`java.lang.String` | `getTargetDirectoryName()` Gets the TargetDirectoryName.
`boolean` | `getTargetDirectoryNameIsPattern()` Gets the TargetDirectoryNameIsPattern.
`java.lang.String` | `getTargetFileName()` Gets the TargetFileName.
`boolean` | `getTargetFileNameIsPattern()` Gets the TargetFileNameIsPattern.
`boolean` | `getUsePASV()` Gets the UsePASV.
`java.lang.String` | `getUserDefinedDirectoryListingStyle()` Gets the UserDefinedDirectoryListingStyle.
`java.lang.String` | `getUserDefinedHeuristicsCfgFile()` Gets the UserDefinedHeuristicsCfgFile.
`java.lang.String` | `getUserName()` Gets the UserName.
`boolean` | `hasAppend()` Checks whether the Append properety has been set.
`boolean` | `hasDirectoryListingStyle()` Checks whether the DirectoryListingStyle properety has been set.
`boolean` | `hasHostName()` Checks whether the HostName properety has been set.
`boolean` | `hasMode()` Checks whether the Mode properety has been set.
`boolean` | `hasPassword()` Checks whether the Password properety has been set.
`boolean` | `hasPostDirectoryName()` Checks whether the PostDirectoryName properety has been set.
`boolean` | `hasPostDirectoryNameIsPattern()` Checks whether the PostDirectoryNameIsPattern properety has been set.
`boolean` | `hasPostFileName()` Checks whether the PostFileName properety has been set.
`boolean` | `hasPostFileNameIsPattern()` Checks whether the PostFileNameIsPattern properety has been set.
`boolean` | `hasPostTransferCommand()` Checks whether the PostTransferCommand properety has been set.
`boolean` | `hasPreDirectoryName()` Checks whether the PreDirectoryName properety has been set.
`boolean` | `hasPreDirectoryNameIsPattern()` Checks whether the PreDirectoryNameIsPattern properety has been set.
`boolean` | `hasPreFileName()` Checks whether the PreFileName properety has been set.
`boolean` | `hasPreFileNameIsPattern()` Checks whether the PreFileNameIsPattern properety has been set.
`boolean` | `hasPreTransferCommand()` Checks whether the PreTransferCommand properety has been set.
`boolean` | `hasServerPort()` Checks whether the ServerPort properety has been set.
`boolean` | `hasTargetDirectoryName()` Checks whether the TargetDirectoryName properety has been set.
`boolean` | `hasTargetDirectoryNameIsPattern()` Checks whether the TargetDirectoryNameIsPattern properety has been set.
`boolean` | `hasTargetFileName()` Checks whether the TargetFileName properety has been set.
`boolean` | `hasTargetFileNameIsPattern()` Checks whether the TargetFileNameIsPattern properety has been set.
`boolean` | `hasUsePASV()` Checks whether the UsePASV properety has been set.
`boolean` | `hasUserDefinedDirectoryListingStyle()` Checks whether the UserDefinedDirectoryListingStyle properety has been set.
`boolean` | `hasUserDefinedHeuristicsCfgFile()` Checks whether the UserDefinedHeuristicsCfgFile properety has been set.
`boolean` | `hasUserName()` Checks whether the UserName properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setAppend(boolean newAppend)` Sets the Append.
`void` | `setDirectoryListingStyle(java.lang.String newDirectoryListingStyle)` Sets the DirectoryListingStyle.
`void` | `setHostName(java.lang.String newHostName)` Sets the HostName.
`void` | `setMode(java.lang.String newMode)` Sets the Mode.
`void` | `setPassword(java.lang.String newPassword)` Sets the Password.
`void` | `setPostDirectoryName(java.lang.String newPostDirectoryName)` Sets the PostDirectoryName.
`void` | `setPostDirectoryNameIsPattern(boolean newPostDirectoryNameIsPattern)` Sets the PostDirectoryNameIsPattern.
`void` | `setPostFileName(java.lang.String newPostFileName)` Sets the PostFileName.
`void` | `setPostFileNameIsPattern(boolean newPostFileNameIsPattern)` Sets the PostFileNameIsPattern.
`void` | `setPostTransferCommand(java.lang.String newPostTransferCommand)` Sets the PostTransferCommand.
`void` | `setPreDirectoryName(java.lang.String newPreDirectoryName)` Sets the PreDirectoryName.
`void` | `setPreDirectoryNameIsPattern(boolean newPreDirectoryNameIsPattern)` Sets the PreDirectoryNameIsPattern.
`void` | `setPreFileName(java.lang.String newPreFileName)` Sets the PreFileName.
`void` | `setPreFileNameIsPattern(boolean newPreFileNameIsPattern)` Sets the PreFileNameIsPattern.
`void` | `setPreTransferCommand(java.lang.String newPreTransferCommand)` Sets the PreTransferCommand.
`void` | `setServerPort(int newServerPort)` Sets the ServerPort.
`void` | `setTargetDirectoryName(java.lang.String newTargetDirectoryName)` Sets the TargetDirectoryName.
`void` | `setTargetDirectoryNameIsPattern(boolean newTargetDirectoryNameIsPattern)` Sets the TargetDirectoryNameIsPattern.
`void` | `setTargetFileName(java.lang.String newTargetFileName)` Sets the TargetFileName.
`void` | `setTargetFileNameIsPattern(boolean newTargetFileNameIsPattern)` Sets the TargetFileNameIsPattern.
`void` | `setUsePASV(boolean newUsePASV)` Sets the UsePASV.
`void` | `setUserDefinedDirectoryListingStyle(java.lang.String newUserDefinedDirectoryListingStyle)` Sets the UserDefinedDirectoryListingStyle.
`void` | `setUserDefinedHeuristicsCfgFile(java.lang.String newUserDefinedHeuristicsCfgFile)` Sets the UserDefinedDirectoryListingStyle.
`void` | `setUserName(java.lang.String newUserName)` Sets the UserName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPConfiguration

    public FTPConfiguration()

  Creates a new instance of FTPConfiguration

Method Detail

### getPreTransferCommand

    public java.lang.String getPreTransferCommand()

  Gets the PreTransferCommand.

  Returns:
    The PreTransferCommand.

### setPreTransferCommand

    public void setPreTransferCommand(java.lang.String newPreTransferCommand)

  Sets the PreTransferCommand.

  Parameters:
    `newPreTransferCommand` - The new PreTransferCommand.

### hasPreTransferCommand

    public boolean hasPreTransferCommand()

  Checks whether the PreTransferCommand properety has been set.

  Returns:
    true if it was set or false if not.

### getPassword

    public java.lang.String getPassword()

  Gets the Password.

  Returns:
    The Password.

### getPasswordEncrypted

    public java.lang.String getPasswordEncrypted()

  Gets the PasswordEncrypted.

  Returns:
    The PasswordEncrypted.

### setPassword

    public void setPassword(java.lang.String newPassword)

  Sets the Password.

  Parameters:
    `newPassword` - The new Password.

### hasPassword

    public boolean hasPassword()

  Checks whether the Password properety has been set.

  Returns:
    true if it was set or false if not.

### getPostFileNameIsPattern

    public boolean getPostFileNameIsPattern()

  Gets the PostFileNameIsPattern.

  Returns:
    The PostFileNameIsPattern.

### setPostFileNameIsPattern

    public void setPostFileNameIsPattern(boolean newPostFileNameIsPattern)

  Sets the PostFileNameIsPattern.

  Parameters:
    `newPostFileNameIsPattern` - The new PostFileNameIsPattern.

### hasPostFileNameIsPattern

    public boolean hasPostFileNameIsPattern()

  Checks whether the PostFileNameIsPattern properety has been set.

  Returns:
    true if it was set or false if not.

### getServerPort

    public int getServerPort()

  Gets the ServerPort.

  Returns:
    The ServerPort.

### setServerPort

    public void setServerPort(int newServerPort)

  Sets the ServerPort.

  Parameters:
    `newServerPort` - The new ServerPort.

### hasServerPort

    public boolean hasServerPort()

  Checks whether the ServerPort properety has been set.

  Returns:
    true if it was set or false if not.

### getDirectoryListingStyle

    public java.lang.String getDirectoryListingStyle()

  Gets the DirectoryListingStyle.

  Returns:
    The DirectoryListingStyle.

### getUserDefinedDirectoryListingStyle

    public java.lang.String getUserDefinedDirectoryListingStyle()

  Gets the UserDefinedDirectoryListingStyle.

  Returns:
    The UserDefinedDirectoryListingStyle.

### getUserDefinedHeuristicsCfgFile

    public java.lang.String getUserDefinedHeuristicsCfgFile()

  Gets the UserDefinedHeuristicsCfgFile.

  Returns:
    The UserDefinedHeuristicsCfgFile.

### setDirectoryListingStyle

    public void setDirectoryListingStyle(java.lang.String newDirectoryListingStyle)

  Sets the DirectoryListingStyle.

  Parameters:
    `newDirectoryListingStyle` - The new DirectoryListingStyle.

### setUserDefinedDirectoryListingStyle

    public void setUserDefinedDirectoryListingStyle(java.lang.String newUserDefinedDirectoryListingStyle)

  Sets the UserDefinedDirectoryListingStyle.

  Parameters:
    `newUserDefinedDirectoryListingStyle` - The new UserDefinedDirectoryListingStyle.

### setUserDefinedHeuristicsCfgFile

    public void setUserDefinedHeuristicsCfgFile(java.lang.String newUserDefinedHeuristicsCfgFile)

  Sets the UserDefinedDirectoryListingStyle.

  Parameters:
    `newUserDefinedDirectoryListingStyle` - The new UserDefinedDirectoryListingStyle.

### hasDirectoryListingStyle

    public boolean hasDirectoryListingStyle()

  Checks whether the DirectoryListingStyle properety has been set.

  Returns:
    true if it was set or false if not.

### hasUserDefinedDirectoryListingStyle

    public boolean hasUserDefinedDirectoryListingStyle()

  Checks whether the UserDefinedDirectoryListingStyle properety has been set.

  Returns:
    true if it was set or false if not.

### hasUserDefinedHeuristicsCfgFile

    public boolean hasUserDefinedHeuristicsCfgFile()

  Checks whether the UserDefinedHeuristicsCfgFile properety has been set.

  Returns:
    true if it was set or false if not.

### getAppend

    public boolean getAppend()

  Gets the Append.

  Returns:
    The Append.

### setAppend

    public void setAppend(boolean newAppend)

  Sets the Append.

  Parameters:
    `newAppend` - The new Append.

### hasAppend

    public boolean hasAppend()

  Checks whether the Append properety has been set.

  Returns:
    true if it was set or false if not.

### getPreFileName

    public java.lang.String getPreFileName()

  Gets the PreFileName.

  Returns:
    The PreFileName.

### setPreFileName

    public void setPreFileName(java.lang.String newPreFileName)

  Sets the PreFileName.

  Parameters:
    `newPreFileName` - The new PreFileName.

### hasPreFileName

    public boolean hasPreFileName()

  Checks whether the PreFileName properety has been set.

  Returns:
    true if it was set or false if not.

### getPostDirectoryNameIsPattern

    public boolean getPostDirectoryNameIsPattern()

  Gets the PostDirectoryNameIsPattern.

  Returns:
    The PostDirectoryNameIsPattern.

### setPostDirectoryNameIsPattern

    public void setPostDirectoryNameIsPattern(boolean newPostDirectoryNameIsPattern)

  Sets the PostDirectoryNameIsPattern.

  Parameters:
    `newPostDirectoryNameIsPattern` - The new PostDirectoryNameIsPattern.

### hasPostDirectoryNameIsPattern

    public boolean hasPostDirectoryNameIsPattern()

  Checks whether the PostDirectoryNameIsPattern properety has been set.

  Returns:
    true if it was set or false if not.

### getTargetFileName

    public java.lang.String getTargetFileName()

  Gets the TargetFileName.

  Returns:
    The TargetFileName.

### setTargetFileName

    public void setTargetFileName(java.lang.String newTargetFileName)

  Sets the TargetFileName.

  Parameters:
    `newTargetFileName` - The new TargetFileName.

### hasTargetFileName

    public boolean hasTargetFileName()

  Checks whether the TargetFileName properety has been set.

  Returns:
    true if it was set or false if not.

### getUserName

    public java.lang.String getUserName()

  Gets the UserName.

  Returns:
    The UserName.

### setUserName

    public void setUserName(java.lang.String newUserName)

  Sets the UserName.

  Parameters:
    `newUserName` - The new UserName.

### hasUserName

    public boolean hasUserName()

  Checks whether the UserName properety has been set.

  Returns:
    true if it was set or false if not.

### getPostTransferCommand

    public java.lang.String getPostTransferCommand()

  Gets the PostTransferCommand.

  Returns:
    The PostTransferCommand.

### setPostTransferCommand

    public void setPostTransferCommand(java.lang.String newPostTransferCommand)

  Sets the PostTransferCommand.

  Parameters:
    `newPostTransferCommand` - The new PostTransferCommand.

### hasPostTransferCommand

    public boolean hasPostTransferCommand()

  Checks whether the PostTransferCommand properety has been set.

  Returns:
    true if it was set or false if not.

### getPreDirectoryNameIsPattern

    public boolean getPreDirectoryNameIsPattern()

  Gets the PreDirectoryNameIsPattern.

  Returns:
    The PreDirectoryNameIsPattern.

### setPreDirectoryNameIsPattern

    public void setPreDirectoryNameIsPattern(boolean newPreDirectoryNameIsPattern)

  Sets the PreDirectoryNameIsPattern.

  Parameters:
    `newPreDirectoryNameIsPattern` - The new PreDirectoryNameIsPattern.

### hasPreDirectoryNameIsPattern

    public boolean hasPreDirectoryNameIsPattern()

  Checks whether the PreDirectoryNameIsPattern properety has been set.

  Returns:
    true if it was set or false if not.

### getPreFileNameIsPattern

    public boolean getPreFileNameIsPattern()

  Gets the PreFileNameIsPattern.

  Returns:
    The PreFileNameIsPattern.

### setPreFileNameIsPattern

    public void setPreFileNameIsPattern(boolean newPreFileNameIsPattern)

  Sets the PreFileNameIsPattern.

  Parameters:
    `newPreFileNameIsPattern` - The new PreFileNameIsPattern.

### hasPreFileNameIsPattern

    public boolean hasPreFileNameIsPattern()

  Checks whether the PreFileNameIsPattern properety has been set.

  Returns:
    true if it was set or false if not.

### getTargetDirectoryNameIsPattern

    public boolean getTargetDirectoryNameIsPattern()

  Gets the TargetDirectoryNameIsPattern.

  Returns:
    The TargetDirectoryNameIsPattern.

### setTargetDirectoryNameIsPattern

    public void setTargetDirectoryNameIsPattern(boolean newTargetDirectoryNameIsPattern)

  Sets the TargetDirectoryNameIsPattern.

  Parameters:
    `newTargetDirectoryNameIsPattern` - The new TargetDirectoryNameIsPattern.

### hasTargetDirectoryNameIsPattern

    public boolean hasTargetDirectoryNameIsPattern()

  Checks whether the TargetDirectoryNameIsPattern properety has been set.

  Returns:
    true if it was set or false if not.

### getTargetDirectoryName

    public java.lang.String getTargetDirectoryName()

  Gets the TargetDirectoryName.

  Returns:
    The TargetDirectoryName.

### setTargetDirectoryName

    public void setTargetDirectoryName(java.lang.String newTargetDirectoryName)

  Sets the TargetDirectoryName.

  Parameters:
    `newTargetDirectoryName` - The new TargetDirectoryName.

### hasTargetDirectoryName

    public boolean hasTargetDirectoryName()

  Checks whether the TargetDirectoryName properety has been set.

  Returns:
    true if it was set or false if not.

### getTargetFileNameIsPattern

    public boolean getTargetFileNameIsPattern()

  Gets the TargetFileNameIsPattern.

  Returns:
    The TargetFileNameIsPattern.

### setTargetFileNameIsPattern

    public void setTargetFileNameIsPattern(boolean newTargetFileNameIsPattern)

  Sets the TargetFileNameIsPattern.

  Parameters:
    `newTargetFileNameIsPattern` - The new TargetFileNameIsPattern.

### hasTargetFileNameIsPattern

    public boolean hasTargetFileNameIsPattern()

  Checks whether the TargetFileNameIsPattern properety has been set.

  Returns:
    true if it was set or false if not.

### getHostName

    public java.lang.String getHostName()

  Gets the HostName.

  Returns:
    The HostName.

### setHostName

    public void setHostName(java.lang.String newHostName)

  Sets the HostName.

  Parameters:
    `newHostName` - The new HostName.

### hasHostName

    public boolean hasHostName()

  Checks whether the HostName properety has been set.

  Returns:
    true if it was set or false if not.

### getPreDirectoryName

    public java.lang.String getPreDirectoryName()

  Gets the PreDirectoryName.

  Returns:
    The PreDirectoryName.

### setPreDirectoryName

    public void setPreDirectoryName(java.lang.String newPreDirectoryName)

  Sets the PreDirectoryName.

  Parameters:
    `newPreDirectoryName` - The new PreDirectoryName.

### hasPreDirectoryName

    public boolean hasPreDirectoryName()

  Checks whether the PreDirectoryName properety has been set.

  Returns:
    true if it was set or false if not.

### getMode

    public java.lang.String getMode()

  Gets the Mode.

  Returns:
    The Mode.

### setMode

    public void setMode(java.lang.String newMode)

  Sets the Mode.

  Parameters:
    `newMode` - The new Mode.

### hasMode

    public boolean hasMode()

  Checks whether the Mode properety has been set.

  Returns:
    true if it was set or false if not.

### getUsePASV

    public boolean getUsePASV()

  Gets the UsePASV.

  Returns:
    The UsePASV.

### setUsePASV

    public void setUsePASV(boolean newUsePASV)

  Sets the UsePASV.

  Parameters:
    `newUsePASV` - The new UsePASV.

### hasUsePASV

    public boolean hasUsePASV()

  Checks whether the UsePASV properety has been set.

  Returns:
    true if it was set or false if not.

### getPostFileName

    public java.lang.String getPostFileName()

  Gets the PostFileName.

  Returns:
    The PostFileName.

### setPostFileName

    public void setPostFileName(java.lang.String newPostFileName)

  Sets the PostFileName.

  Parameters:
    `newPostFileName` - The new PostFileName.

### hasPostFileName

    public boolean hasPostFileName()

  Checks whether the PostFileName properety has been set.

  Returns:
    true if it was set or false if not.

### getPostDirectoryName

    public java.lang.String getPostDirectoryName()

  Gets the PostDirectoryName.

  Returns:
    The PostDirectoryName.

### setPostDirectoryName

    public void setPostDirectoryName(java.lang.String newPostDirectoryName)

  Sets the PostDirectoryName.

  Parameters:
    `newPostDirectoryName` - The new PostDirectoryName.

### hasPostDirectoryName

    public boolean hasPostDirectoryName()

  Checks whether the PostDirectoryName properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD